
<div class="container mb-4">
    <div class="row">
        <div class="col-12">
            <div class="table-responsive">
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th scope="col">Image</th>
                            <th scope="col">Nom</th>
                            <th scope="col">QuantityControl</th>
                            <th scope="col" >Prix</th>
                            <th scope="col" >Quantity</th>
                            <th scope="col" colspan="1">Action</th>
                            <th> </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let cart of cartList;let index=index">
                            <td><img src="http://localhost:8081/users/article/files/{{cart.article.image}}" height="100px" width="100px"/> </td>
                            <td>{{cart.article.nom}}</td>
                            <td>
                                <app-quantitecontrol
                                 (onChange)="changequantity(cart,$event)" 
                                 [quantity]="quantity"></app-quantitecontrol>
                            </td>
                            <td class="text-right">{{cart.article.prix}}</td> 
                            <td class="text-right">{{cart.quantity}}</td>

                            <td class="text-right"><button class="btn btn-sm btn-danger" (click)="removeFromCart(index,cart)"><i class="fa fa-trash"></i> </button> </td>
                        </tr>
                        
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td>Sub-Total</td>
                            <!-- <td class="text-right">{{cart.quantity}}</td> -->
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td>Shipping</td>
                            <td class="text-right">200 DT</td>
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td><strong>Total</strong></td>
                            <td class="text-right"><strong>{{totalPrix}} DT</strong></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="col mb-2">
            <div class="row">
                <div class="col-sm-12  col-md-6">
                    <button class="btn btn-block btn-light">Continue Shopping</button>
                </div>
                <div class="col-sm-12 col-md-6 text-right">
                    <button  routerLink="/checkout" class="btn btn-lg btn-block btn-success text-uppercase">Checkout</button>
                </div>
            </div>
        </div>
    </div>
</div>
